| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSpriteSocket Struct Reference
[Mesh plugins]

A socket for specifying where sprites can plug into other sprites. More...

`#include <imesh/sprite3d.h>`

Inheritance diagram for iSpriteSocket:

[legend]
List of all members.

## Public Member Functions
virtual iMeshWrapper * | GetMeshWrapper () const =0
| Get the attached sprite.
virtual char const * | GetName () const =0
| Get the name.
virtual int | GetTriangleIndex () const =0
| Get the index of the triangle for the socket.
virtual void | SetMeshWrapper (iMeshWrapper *mesh)=0
| Set the attached sprite.
virtual void | SetName (char const *)=0
| Set the name.
virtual void | SetTriangleIndex (int tri_index)=0
| Set the index of the triangle for the socket.

## Detailed Description

A socket for specifying where sprites can plug into other sprites.

Definition at line 134 of file sprite3d.h.

## Member Function Documentation

virtual iMeshWrapper* iSpriteSocket::GetMeshWrapper | ( |  | ) | const`[pure virtual]`

Get the attached sprite.

virtual char const* iSpriteSocket::GetName | ( |  | ) | const`[pure virtual]`

Get the name.

virtual int iSpriteSocket::GetTriangleIndex | ( |  | ) | const`[pure virtual]`

Get the index of the triangle for the socket.

virtual void iSpriteSocket::SetMeshWrapper | ( | iMeshWrapper * | mesh | ) | `[pure virtual]`

Set the attached sprite.

virtual void iSpriteSocket::SetName | ( | char const * |  | ) | `[pure virtual]`

Set the name.

virtual void iSpriteSocket::SetTriangleIndex | ( | int | tri_index | ) | `[pure virtual]`

Set the index of the triangle for the socket.

The documentation for this struct was generated from the following file:

- imesh/sprite3d.h